Page MenuHomePhabricator

eina_quaternion_cmp test case fails on nightly_efl_gcc_x86 (32bit)
Open, NormalPublic

Description

Since the addition of ein_quaternation changes and test cases nightly_efl_gcc_x86 (32bit) test suite runs fail like this:

tests/eina/eina_test_quaternion.c:334:F:Quaternion:eina_test_matrix_quaternion:0: Failure '!eina_quaternion_cmp(&rotation, &rr)' occurred

https://build.enlightenment.org/view/Nightly/job/nightly_efl_gcc_x86/598/artifact/src/test-suite.log

https://build.enlightenment.org/view/Nightly/job/nightly_efl_gcc_x86/

stefan_schmidt updated the task description. (Show Details)
stefan_schmidt raised the priority of this task from to Normal.
stefan_schmidt assigned this task to cedric.
stefan_schmidt added a subscriber: stefan_schmidt.
abyomi0 added a subscriber: abyomi0.
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 7:00 AM
segfaultxavi edited projects, added efl: data types; removed Restricted Project.Jun 11 2018, 8:05 AM
zmike changed the visibility from "All Users" to "Public (No Login Required)".Jan 22 2019, 12:35 PM
zmike added a project: efl (efl-1.22).
zmike added a subscriber: zmike.

Let's get this checked since we use quaternions sometimes...

stefan_schmidt closed this task as Invalid.Sep 13 2019, 5:56 AM

I have not seen this failed since a long time. Definitely not since we have meson and Travis in use (not saying that this fixed it but rather to give a timeline).

Given the links are alos dead now I would go ahead and close this. If it resurfaces we can open up a new bug with the error log.

zmike reopened this task as Open.Sep 13 2019, 6:45 AM

That's almost certainly because the failing unit test is disabled...

Gosh, and I was even the guy disabling it. Getting old here...

Thanks for keeping and eye on this and re-opening.

zmike added a comment.Sep 13 2019, 7:10 AM

Always good to have another set of eyes!